Application: gvSIG desktop - gvSIG bugs #2743
Error opening a project with a WFS layer
07/29/2014 12:21 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: WEFS

Target version: 2.1.0-2241-testing

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2239 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When | open the project in attachment (it contains only a view with a WFS layer), a ReadException error occurs.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2761: Connection failed ... Closed 08/04/2014

History

#1 - 08/04/2014 04:46 AM - Alvaro Anguix
- Related to gvSIG bugs #2761: Connection failed with all WFS servers added

#2 - 08/05/2014 04:59 AM - Alvaro Anguix
- Target version set to 2.1.0-2241-testing
- Status changed from New to Closed

#3 - 08/05/2014 05:23 AM - Antonio Falciano
- File test WFS_1.0.0_2241.gvsproj added

The project in attachment returns a reading exception yet, because the WFS server URL contains the bbox parameters (version 1.0.0) and the project
was saved with a previous build (2239).

Now, if | save a new project containing a WFS 1.0.0 layer + bbox with build 2241 (in attachment), the project is opened and the WFS layer loaded, but
not spatially filtered. In detail, the spatial filter (bbox) is recognized (I can see from the WFS Properties), but not active. Maybe because of #2631.

Files
test. WFS_1.0.0.gvsproj 17.8 KB 07/29/2014 Antonio Falciano
test WFS_1.0.0_2241.gvsproj 16.8 KB 08/05/2014 Antonio Falciano
